%global pypi_name yarl

Name:           python-%{pypi_name}
Version:        1.6.2
Release:        %mkrel 1
Summary:        Python module to handle URLs
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/yarl/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-runner

%description
The module provides handy URL class for url parsing and changing.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-multidict

%description -n python3-%{pypi_name}
The module provides handy URL class for url parsing and changing.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf yarl.egg-info/

%build
%py3_build

%install
%py3_install
rm -vf %{buildroot}%{python3_sitearch}/%{pypi_name}/_quoting.c

# Checks are currently failing and disabled for now
#%check
#pushd tests
#PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version}
#popd

%files -n python3-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.egg-info


%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.6.2-1.mga8
+ Revision: 1644646
- new version 1.6.2

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1532502
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.3.0-2.mga8
+ Revision: 1442482
- rebuild for python-3.8

* Sun Apr 21 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1394261
- new version 1.3.0

* Tue Jan 08 2019 tv <tv> 0.10.2-5.mga7
+ Revision: 1351849
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.10.2-4.mga7
+ Revision: 1300624
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.2-3.mga7
+ Revision: 1135701
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 0.10.2-2.mga6
+ Revision: 1101184
- Port to Mageia
- imported package python-yarl


* Tue May 09 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.10.2-1
- Update to 0.10.2

* Wed Mar 15 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- Updaate to latest upstream release 0.10.0 (rhbz#1432279)

* Mon Feb 20 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.8-1
- Updaate to latest upstream release 0.9.8 (rhbz#1423061)

* Thu Feb 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.6-1
- Update to 0.9.6

* Thu Feb 09 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Wed Feb 08 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Tue Feb 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.8.1-4
- Fix BRs

* Tue Feb 07 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-3
- Update BR

* Fri Jan 27 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-2
- Don't remove _quoting.c

* Sat Jan 21 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-1
- Update to latest upstream release 0.8.1
- Remove _quoting.c

* Mon Nov 21 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-2
- Update Source0, summary

* Fri Nov 18 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Initial package
